### 1. docker部署kuboard

```bash
sudo docker run -d \
--restart=unless-stopped \
--name=kuboard \
-p 8080:80/tcp \
-p 10081:10081/tcp \
-e KUBOARD_ENDPOINT="http://192.168.0.3:8080" \
-e KUBOARD_AGENT_SERVER_TCP_PORT="10081" \
-v /root/kuboard-data:/data \
swr.cn-east-2.myhuaweicloud.com/kuboard/kuboard:v3
```

### 2. 访问集群 host:8080

- 用户名 admin
- 密码 Kuboard123

### 3. 添加集群

- agent方式

  ```bash
  curl -k 'http://192.168.110.3:8080/kuboard-api/cluster/pve-k8s/kind/KubernetesCluster/pve-k8s/resource/installAgentToKubernetes?token=rN9FegdHLOQ0mvfhpYLXc9Lx5E7qECM3' > kuboard-agent.yaml
  kubectl apply -f ./kuboard-agent.yaml
  ```

  